searchData={"items":[{"type":"module","title":"GhostContent","doc":"An Elixir client for the Ghost publishing platform's Content API.\n\nFull documentation of the Ghost Content API is available at:\nhttps://ghost.org/docs/content-api/","ref":"GhostContent.html"},{"type":"function","title":"GhostContent.config/1","doc":"Loads a configuration for use in subsequent API calls.","ref":"GhostContent.html#config/1"},{"type":"function","title":"GhostContent.get_author/3","doc":"Gets a single author by ID.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#authors","ref":"GhostContent.html#get_author/3"},{"type":"function","title":"GhostContent.get_author_by_slug/3","doc":"Gets a single author by Slug.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#authors","ref":"GhostContent.html#get_author_by_slug/3"},{"type":"function","title":"GhostContent.get_authors/2","doc":"Gets a list of authors.\n\nAccepts the following options:\n`limit, page, filter, order, fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#authors","ref":"GhostContent.html#get_authors/2"},{"type":"function","title":"GhostContent.get_page/3","doc":"Gets a single page by ID.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#pages","ref":"GhostContent.html#get_page/3"},{"type":"function","title":"GhostContent.get_page_by_slug/3","doc":"Gets a single page by Slug.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#pages","ref":"GhostContent.html#get_page_by_slug/3"},{"type":"function","title":"GhostContent.get_pages/2","doc":"Gets a list of pages.\n\nAccepts the following options:\n`limit, page, filter, order, fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#pages","ref":"GhostContent.html#get_pages/2"},{"type":"function","title":"GhostContent.get_post/3","doc":"Gets a single post by ID.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#posts","ref":"GhostContent.html#get_post/3"},{"type":"function","title":"GhostContent.get_post_by_slug/3","doc":"Gets a single post by Slug.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#posts","ref":"GhostContent.html#get_post_by_slug/3"},{"type":"function","title":"GhostContent.get_posts/2","doc":"Gets a list of posts.\n\nAccepts the following options:\n`limit, page, filter, order, fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#posts","ref":"GhostContent.html#get_posts/2"},{"type":"function","title":"GhostContent.get_tag/3","doc":"Gets a single tag by ID.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#tags","ref":"GhostContent.html#get_tag/3"},{"type":"function","title":"GhostContent.get_tag_by_slug/3","doc":"Gets a single tag by Slug.\n\nAccepts the following options:\n`fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#tags","ref":"GhostContent.html#get_tag_by_slug/3"},{"type":"function","title":"GhostContent.get_tags/2","doc":"Gets a list of tags.\n\nAccepts the following options:\n`limit, page, filter, order, fields, include`\n\nFor exact usage, see: https://ghost.org/docs/content-api/#tags","ref":"GhostContent.html#get_tags/2"},{"type":"type","title":"GhostContent.config/0","doc":"","ref":"GhostContent.html#t:config/0"},{"type":"type","title":"GhostContent.meta/0","doc":"","ref":"GhostContent.html#t:meta/0"},{"type":"type","title":"GhostContent.options/0","doc":"","ref":"GhostContent.html#t:options/0"},{"type":"module","title":"GhostContent.Author","doc":"A ghost Author - https://ghost.org/docs/content-api/#authors","ref":"GhostContent.Author.html"},{"type":"function","title":"GhostContent.Author.from_map!/1","doc":"","ref":"GhostContent.Author.html#from_map!/1"},{"type":"type","title":"GhostContent.Author.t/0","doc":"","ref":"GhostContent.Author.html#t:t/0"},{"type":"module","title":"GhostContent.Post","doc":"A ghost Post or Page https://ghost.org/docs/content-api/#posts","ref":"GhostContent.Post.html"},{"type":"function","title":"GhostContent.Post.from_map!/1","doc":"","ref":"GhostContent.Post.html#from_map!/1"},{"type":"type","title":"GhostContent.Post.t/0","doc":"","ref":"GhostContent.Post.html#t:t/0"},{"type":"module","title":"GhostContent.Tag","doc":"A ghost Tag - https://ghost.org/docs/content-api/#tags","ref":"GhostContent.Tag.html"},{"type":"function","title":"GhostContent.Tag.from_map!/1","doc":"","ref":"GhostContent.Tag.html#from_map!/1"},{"type":"type","title":"GhostContent.Tag.t/0","doc":"","ref":"GhostContent.Tag.html#t:t/0"},{"type":"extras","title":"GhostContent","doc":"# GhostContent\n\nAn Elixir client for the Ghost publishing platform's Content API.\n\nThis package allows you to use Ghost as a headless CMS in your Elixir/Phoenix project.\n  \nFull documentation of the Ghost Content API is available at:\nhttps://ghost.org/docs/content-api/","ref":"readme.html"},{"type":"extras","title":"Installation - GhostContent","doc":"The package can be installed by adding `ghost_content` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ghost_content, \"~> 0.1.0\"}\n  ]\nend\n```\n\nFull documentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - GhostContent","doc":"You'll need to configure ghost_content with your Ghost Content API host and key, as follows:\n\n```\nconfig :my_app, :ghost_content,\n  host: \"https://my.ghost.host\",\n  api_key: \"my-ghost-api-key\n```\n\nConsult the [Ghost Content API documentation](https://ghost.org/docs/content-api/) for more information on creating an API key.","ref":"readme.html#configuration"},{"type":"extras","title":"Ghost Content Data Model - GhostContent","doc":"`ghost_content` defines three structures which mirror the \ncore resources in the Ghost Content API:\n\n```\n%GhostContent.Post{}\n%GhostContent.Tag{}\n%GhostContent.Author{}\n```\n\nNote that the Ghost Content API exposes both \"posts\" and \"pages\", but that these both use the same data model, `%GhostContent.Post{}`.","ref":"readme.html#ghost-content-data-model"},{"type":"extras","title":"Usage - GhostContent","doc":"Once configured, you can start making requests.  \n\nAll API requests take a `config`, which is created as follows:\n\n```\nconfig = GhostContent.config(:ghost_content)\n```\n\n#","ref":"readme.html#usage"},{"type":"extras","title":"The API - GhostContent","doc":"Getting Posts:\n\n```\nGhostContent.get_posts(config)\nGhostContent.get_post(config, post_id)\nGhostContent.get_post_by_slug(config, slug_id)\n```\n\nGetting Pages:\n\n```\nGhostContent.get_pages(config)\nGhostContent.get_page(config, page_id)\nGhostContent.get_page_by_slug(config, slug_id)\n```\n\nGetting Authors:\n\n```\nGhostContent.get_authors(config)\nGhostContent.get_author(config, author_id)\nGhostContent.get_author_by_slug(config, slug_id)\n```\n\nGetting Tags:\n\n```\nGhostContent.get_tags(config)\nGhostContent.get_tag(config, tag_id)\nGhostContent.get_tag_by_slug(config, slug_id)\n```\n\nAll API calls can be given options of `include` and `fields` to specify what exact data to return.  Here are some examples,\nbut consult the [Ghost Content API documentation](https://ghost.org/docs/content-api/) for accepted values for each \nresource type:\n\n```\nGhostContent.get_posts(config, include: \"authors,tags\")\nGhostContent.get_pages(config, include: \"authors,tags\")\nGhostContent.get_authors(config, include: \"count.posts\")\nGhostContent.get_tags(config, include: \"count.posts\")\n\nGhostContent.get_posts(config, fields: \"title,url\")\nGhostContent.get_pages(config, fields: \"title,url\")\n```\n\nAll of the calls which return multiple resources (`get_posts`, `get_pages`, `get_tags`, and `get_authors`) \ncan take options of `order`, `page`, `filter` and `limit`.\nOnce again, consult the [official documentation](https://ghost.org/docs/content-api/) for exact details on using \nthese options with the various resources.\n\n```\nGhostContent.get_posts(config, limit: \"all\")\nGhostContent.get_pages(config, limit: \"15\", page: 2)\nGhostContent.get_pages(config, filter: \"tag:elixir)\nGhostContent.get_pages(config, filter: \"visibility:public)\n```\n\n\n#","ref":"readme.html#the-api"},{"type":"extras","title":"Response Format - GhostContent","doc":"The content API exposes two types of calls: those which return\na list of resources, and those which return a single resource.  They have a similar response format, except that calls returning a list include a `meta` map containing pagination data:\n\n```\n{:ok, %{meta: %{...}, posts: [...]}} = GhostContent.get_posts(config)\n\n{:ok, %{posts: [...]}} = GhostContent.get_post(config, post_id)\n\n# Meta-format:\n%{\n  pagination: %{total: 1, next: nil, prev: nil, limit: 15, pages: 1, page: 1}\n}\n```\n\nNote that calls returning a single resource still provide the data in \na list of length 1.","ref":"readme.html#response-format"}],"content_type":"text/markdown"}